# ILSingleDimensional (ARX API Documentation)

org.deidentifier.arx.metric.v2

## Class ILSingleDimensional

- java.lang.Object
- - org.deidentifier.arx.metric.InformationLoss<java.lang.Double>
  - - org.deidentifier.arx.metric.v2.ILSingleDimensional

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<InformationLoss<?>>

      public class ILSingleDimensional
      extends InformationLoss<java.lang.Double>

  This class implements an information loss which can be represented as a single decimal number.
  See Also:
    Serialized Form

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `InformationLoss<java.lang.Double>` | `clone()` Returns a clone of this object.
    `int` | `compareTo(InformationLoss<?> other)` Compares the loss to the other.
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.Double` | `getValue()` Returns the value
    `int` | `hashCode()`
    `void` | `max(InformationLoss<?> other)` Retains the maximum of this and other.
    `void` | `min(InformationLoss<?> other)` Retains the minimum of this and other.
    `double` | `relativeTo(InformationLoss<?> min, InformationLoss<?> max)` Returns the value relative to the other instance.
    `java.lang.String` | `toString()` Returns a string representation.

    - ### Methods inherited from class org.deidentifier.arx.metric.InformationLoss

      `createInformationLoss, getMetadata`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### clone

          public InformationLoss<java.lang.Double> clone()

      Description copied from class: `InformationLoss`
      Returns a clone of this object.
      Specified by:
        `clone` in class `InformationLoss<java.lang.Double>`

    - #### compareTo

          public int compareTo(InformationLoss<?> other)

      Description copied from class: `InformationLoss`
      Compares the loss to the other.
      Specified by:
        `compareTo` in interface `java.lang.Comparable<InformationLoss<?>>`
      Specified by:
        `compareTo` in class `InformationLoss<java.lang.Double>`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Specified by:
        `equals` in class `InformationLoss<java.lang.Double>`

    - #### getValue

          public java.lang.Double getValue()

      Description copied from class: `InformationLoss`
      Returns the value
      Specified by:
        `getValue` in class `InformationLoss<java.lang.Double>`
      Returns:

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `InformationLoss<java.lang.Double>`

    - #### max

          public void max(InformationLoss<?> other)

      Description copied from class: `InformationLoss`
      Retains the maximum of this and other.
      Specified by:
        `max` in class `InformationLoss<java.lang.Double>`

    - #### min

          public void min(InformationLoss<?> other)

      Description copied from class: `InformationLoss`
      Retains the minimum of this and other.
      Specified by:
        `min` in class `InformationLoss<java.lang.Double>`

    - #### relativeTo

          public double relativeTo(InformationLoss<?> min,
                          InformationLoss<?> max)

      Description copied from class: `InformationLoss`
      Returns the value relative to the other instance.
      Specified by:
        `relativeTo` in class `InformationLoss<java.lang.Double>`
      Returns:

    - #### toString

          public java.lang.String toString()

      Description copied from class: `InformationLoss`
      Returns a string representation.
      Specified by:
        `toString` in class `InformationLoss<java.lang.Double>`